A guide to using Panda
<<< Previous |  | Next >>>

# panda_getfontobj

## Name

panda_getfontobj -- get the object that the named font is stored in

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     void panda_getfontobj (panda_pdf *output, char *fontident);

## DESCRIPTION

PANDA INTERNAL. This function is used to map a font identifier handed to Panda by a user to the object that actually stores the font requested. This is because the PDF specification actually wants a reference to this object, instead of merely the name of the font.

## RETURNS

The font object

## EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *output; panda_init(); output = panda_open("output.pdf", "w"); fonthandle = panda_createfont (output, "Helventica", 3, "MacRomanEncoding"); printf("The font was stored in object number %d\n", (panda_getfont (output, fonthandle))->number);

## SEE ALSO

panda_createfont

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home | Next >>>
panda_getfontobj.sgml | Up | panda_hidemenubar.sgml